class Quandl::Cassinatra::Multiset < Quandl::Cassinatra::Base
  
  include Quandl::Cassinatra::Dataset::Searchable
  
  # scope_helper :record, -> { find('multiset') }
  
  scope :columns, ->(v){ where( columns: v ) }
  
  attributes :id, :data, :trim_start, :trim_end, :columns, :frequency, :type, :updated_at, :created_at

  def column_units
    @column_units ||= columns.collect{|c| c['units'] }
  end

  def column_names
    @column_names ||= columns.collect{|c| c['name'] }
  end

  def column_ids
    @column_ids ||= columns.collect{|c| c['id'] }
  end

  def save
    false
  end
  
end